/*
 * cms.h
 *
 * Copyright 2022 Jonathan Schöbel <jonathan@Ubermos-2019>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#ifndef __CMS_H__
#define __CMS_H__

#if !defined (__SEFHT_H_INSIDE__) && !defined (LIB_SEFHT_COMPILATION)
#error "Only <sefht/sefht.h> can be included directly."
#endif

#include "status.h"

#include "data.h"


#ifdef LIB_SEFHT_COMPILATION

struct SH_Cms
{
	struct SH_Data * data;
};


#endif /* LIB_SEFHT_COMPILATION */

typedef struct SH_Cms SH_Cms;


SH_Cms *
SH_Cms_new (struct SH_Status * status);

void
SH_Cms_free (SH_Cms * cms);

page_t
SH_Cms_register_page (SH_Cms * cms, const char * name,
                      struct SH_Status * status);

#endif /* __CMS_H__ */
