/*
 * fragment.c
 *
 * Copyright 2022 Jonathan Schöbel <jonathan@Ubermos-2019>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */


#include "macro.h"
#include "log.h"
#include "status.h"

#include "text.h"

#include "fragment.h"


struct SH_Fragment *
SH_Fragment_copy (struct SH_Fragment * fragment,
		  struct SH_Status * status)
{
	return fragment->methods->copy (fragment, status);
}

void
SH_Fragment_free (struct SH_Fragment * fragment)
{
	return fragment->methods->free (fragment);
}

struct SH_Text *
SH_Fragment_to_html (struct SH_Fragment * fragment,
		     enum HTML_MODE mode,
		     unsigned int indent_base,
		     unsigned int indent_step,
		     char * indent_char,
		     struct SH_Status * status)
{
	return fragment->methods->to_html (fragment, mode,
					   indent_base,
					   indent_step,
					   indent_char,
					   status);
}
